Project

General

Profile

Bug #17392

apt sometimes fails to fetch additional software packages after upgrading Tails

Added by cbrownstein about 2 months ago. Updated about 1 month ago.

Status:
Confirmed
Priority:
Normal
Assignee:
Category:
-
Target version:
-
Start date:
Due date:
% Done:

0%

Feature Branch:
Type of work:
Research
Blueprint:
Starter:
Affected tool:
Additional Software Packages

Description

I just upgraded to Tails v4.1.1.

The first time I booted my Tails v4.1.1, my additional software would not install. See log, below.

[INFO] Starting to install additional software...
[INFO] Found additional packages list.
[INFO] Will install the following packages: ikiwiki libyaml-syck-perl vim-addon-manager powerline vim-nox fonts-powerline perlmagick po4a python3-powerline
[INFO] Reading package lists...
[INFO] Building dependency tree...
[INFO] Reading state information...
[INFO] The following package was automatically installed and is no longer required:
[INFO]   libpcre2-posix0
[INFO] Use 'apt autoremove' to remove it.
[INFO] The following additional packages will be installed:
[INFO]   libhtml-scrubber-perl libhtml-template-perl libimage-magick-perl
[INFO]   libimage-magick-q16-perl libjson-perl libmarkdown2 libosp5 libruby2.5
[INFO]   libsgmls-perl libtcl8.6 libtext-markdown-discount-perl libyaml-tiny-perl
[INFO]   opensp rake ruby ruby-did-you-mean ruby-minitest ruby-net-telnet
[INFO]   ruby-power-assert ruby-test-unit ruby-xmlrpc ruby2.5 rubygems-integration
[INFO]   sgml-base vim-runtime
[INFO] Suggested packages:
[INFO]   dvipng graphviz libfile-mimeinfo-perl libhighlight-perl libmagickcore-extra
[INFO]   libmailtools-perl libnet-amazon-s3-perl libnet-inet6glue-perl
[INFO]   libsearch-xapian-perl libsort-naturally-perl libsparkline-php
[INFO]   libtext-csv-perl libtext-multimarkdown-perl libtext-textile-perl
[INFO]   libtext-typography-perl libtext-wikicreole-perl libtext-wikiformat-perl
[INFO]   libxml-feed-perl libxml-writer-perl polygen python3-docutils texlive tidy
[INFO]   viewvc | gitweb | viewcvs xapian-omega libipc-sharedcache-perl
[INFO]   imagemagick-doc sgmlspl sgmls-doc tcl8.6 doc-base sgml-data powerline-doc ri
[INFO]   ruby-dev bundler sgml-base-doc cscope vim-doc
[INFO] Recommended packages:
[INFO]   gcc | c-compiler libauthen-passphrase-perl libc6-dev | libc-dev
[INFO]   libcgi-formbuilder-perl libcgi-session-perl libcrypt-ssleay-perl
[INFO]   libgravatar-url-perl liblwpx-paranoidagent-perl libmail-sendmail-perl
[INFO]   libnet-openid-consumer-perl librpc-xml-perl libterm-readline-gnu-perl
[INFO]   libxml-simple-perl libjson-xs-perl libterm-readkey-perl zip fonts-lato
[INFO] The following NEW packages will be installed:
[INFO]   fonts-powerline ikiwiki libhtml-scrubber-perl libhtml-template-perl
[INFO]   libimage-magick-perl libimage-magick-q16-perl libjson-perl libmarkdown2
[INFO]   libosp5 libruby2.5 libsgmls-perl libtcl8.6 libtext-markdown-discount-perl
[INFO]   libyaml-syck-perl libyaml-tiny-perl opensp perlmagick po4a powerline
[INFO]   python3-powerline rake ruby ruby-did-you-mean ruby-minitest ruby-net-telnet
[INFO]   ruby-power-assert ruby-test-unit ruby-xmlrpc ruby2.5 rubygems-integration
[INFO]   sgml-base vim-addon-manager vim-nox vim-runtime
[INFO] 0 upgraded, 34 newly installed, 0 to remove and 19 not upgraded.
[INFO] Need to get 3838 kB/17.6 MB of archives.
[INFO] After this operation, 70.5 MB of additional disk space will be used.
[INFO] Err:1 tor+http://sgvtcaew4bxjd7ln.onion buster/updates/main amd64 ruby2.5 amd64 2.5.5-3+deb10u1
[INFO]   Timed out while waiting to read 'first part of response' from proxy socks5h://127.0.0.1:9050 [IP: 127.0.0.1 9050]
[INFO] Get:2 tor+http://sgvtcaew4bxjd7ln.onion buster/updates/main amd64 libruby2.5 amd64 2.5.5-3+deb10u1 [3438 kB]
[INFO] Fetched 3438 kB in 47s (73.3 kB/s)
[INFO] E: Failed to fetch tor+http://sgvtcaew4bxjd7ln.onion/pool/updates/main/r/ruby2.5/ruby2.5_2.5.5-3+deb10u1_amd64.deb  Timed out while waiting to read 'first part of response' from proxy socks5h://127.0.0.1:9050 [IP: 127.0.0.1 9050]
[INFO] E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
[WARNING] apt-get exited with returncode 100
[WARNING] Warning: installation of ikiwiki libyaml-syck-perl vim-addon-manager powerline vim-nox fonts-powerline perlmagick po4a python3-powerline failed

Below is the contents of /var/cache/apt/archives/ at the time my additional software install failed. Note that ruby2.5_2.5.5-3+deb10u1_amd64.deb isn't there.

amnesia@amnesia:~$ ls -l /var/cache/apt/archives/
total 22040
-rw-r--r-- 1 root root    5788 Jan 27  2019 fonts-powerline_2.7-2_all.deb
-rw-r--r-- 1 root root 1502060 Feb 28  2019 ikiwiki_3.20190228-1_all.deb
-rw-r--r-- 1 root root   19228 Nov 11  2017 libhtml-scrubber-perl_0.17-1_all.deb
-rw-r--r-- 1 root root   65962 Oct  8  2017 libhtml-template-perl_2.97-1_all.deb
-rw-r--r-- 1 root root   53256 May  5  2019 libimage-magick-perl_8%3a6.9.10.23+dfsg-2.1_all.deb
-rw-r--r-- 1 root root  240732 May  5  2019 libimage-magick-q16-perl_8%3a6.9.10.23+dfsg-2.1_amd64.deb
-rw-r--r-- 1 root root   88796 Feb 24  2019 libjson-perl_4.02000-1_all.deb
-rw-r--r-- 1 root root   35980 Aug 11  2018 libmarkdown2_2.2.4-1_amd64.deb
-rw-r--r-- 1 root root  947680 Mar  5  2017 libosp5_1.5.2-13+b1_amd64.deb
-rw-r--r-- 1 root root 3437900 Jun  2  2019 libruby2.5_2.5.5-3_amd64.deb
-rw-r--r-- 1 root root 3437672 Dec 15 13:57 libruby2.5_2.5.5-3+deb10u1_amd64.deb
-rw-r--r-- 1 root root   26534 Oct  8  2016 libsgmls-perl_1.03ii-36_all.deb
-rw-r--r-- 1 root root 1004656 Feb 23  2019 libtcl8.6_8.6.9+dfsg-2_amd64.deb
-rw-r--r-- 1 root root   12788 Nov  1  2018 libtext-markdown-discount-perl_0.11-3+b1_amd64.deb
-rw-r--r-- 1 root root   80820 Nov  2  2018 libyaml-syck-perl_1.31-1+b1_amd64.deb
-rw-r--r-- 1 root root   32252 Mar 10  2018 libyaml-tiny-perl_1.73-1_all.deb
-rw-r----- 1 root root       0 May  7  2018 lock
-rw-r--r-- 1 root root  448930 Mar  5  2017 opensp_1.5.2-13+b1_amd64.deb
drwx------ 2 _apt root    4096 Jan  4 00:23 partial
-rw-r--r-- 1 root root    1356 May  5  2019 perlmagick_8%3a6.9.10.23+dfsg-2.1_all.deb
-rw-r--r-- 1 root root 1447768 Jan  5  2016 po4a_0.47-2_all.deb
-rw-r--r-- 1 root root 1542096 Dec  9  2018 po4a_0.55-1_all.deb
-rw-r--r-- 1 root root   51576 Jan 27  2019 powerline_2.7-2_amd64.deb
-rw-r--r-- 1 root root  125904 Jan 27  2019 python3-powerline_2.7-2_all.deb
-rw-r--r-- 1 root root   66944 May  2  2018 rake_12.3.1-3_all.deb
-rw-r--r-- 1 root root   11340 Mar 22  2018 ruby_1%3a2.5.1_amd64.deb
-rw-r--r-- 1 root root  399756 Jun  2  2019 ruby2.5_2.5.5-3_amd64.deb
-rw-r--r-- 1 root root   14368 Apr 11  2018 ruby-did-you-mean_1.2.1-1_all.deb
-rw-r--r-- 1 root root    4994 Dec 18  2016 rubygems-integration_1.11_all.deb
-rw-r--r-- 1 root root   54756 Aug 16  2018 ruby-minitest_5.11.3-1_all.deb
-rw-r--r-- 1 root root   12522 Mar  1  2016 ruby-net-telnet_0.1.1-2_all.deb
-rw-r--r-- 1 root root   10924 May 19  2018 ruby-power-assert_1.1.1-1_all.deb
-rw-r--r-- 1 root root   72392 Aug 17  2018 ruby-test-unit_3.2.8-1_all.deb
-rw-r--r-- 1 root root   23712 Jul 22  2018 ruby-xmlrpc_0.3.0-2_all.deb
-rw-r--r-- 1 root root   14818 Nov  7  2016 sgml-base_1.29_all.deb
-rw-r--r-- 1 root root   19940 Feb 25  2019 vim-addon-manager_0.5.10_all.deb
-rw-r--r-- 1 root root 1401344 Jun 15  2019 vim-nox_2%3a8.1.0875-5_amd64.deb
-rw-r--r-- 1 root root 5774604 Jun 15  2019 vim-runtime_2%3a8.1.0875-5_all.deb

I ran the following command to fix the problem:

root@amnesia:~# apt install ikiwiki libyaml-syck-perl vim-addon-manager powerline vim-nox fonts-powerline perlmagick po4a python3-powerline

This command caused ruby2.5_2.5.5-3+deb10u1_amd64.deb to be fetched:

Get:1 tor+http://sgvtcaew4bxjd7ln.onion buster/updates/main amd64 ruby2.5 amd64 2.5.5-3+deb10u1 [400 kB]
Fetched 400 kB in 4s (109 kB/s)

Now, below is the contents of /var/cache/apt/archives/. Note the addition of ruby2.5_2.5.5-3+deb10u1_amd64.deb.

amnesia@amnesia:~$ ls -l /var/cache/apt/archives/
total 22432
-rw-r--r-- 1 root root    5788 Jan 27  2019 fonts-powerline_2.7-2_all.deb
-rw-r--r-- 1 root root 1502060 Feb 28  2019 ikiwiki_3.20190228-1_all.deb
-rw-r--r-- 1 root root   19228 Nov 11  2017 libhtml-scrubber-perl_0.17-1_all.deb
-rw-r--r-- 1 root root   65962 Oct  8  2017 libhtml-template-perl_2.97-1_all.deb
-rw-r--r-- 1 root root   53256 May  5  2019 libimage-magick-perl_8%3a6.9.10.23+dfsg-2.1_all.deb
-rw-r--r-- 1 root root  240732 May  5  2019 libimage-magick-q16-perl_8%3a6.9.10.23+dfsg-2.1_amd64.deb
-rw-r--r-- 1 root root   88796 Feb 24  2019 libjson-perl_4.02000-1_all.deb
-rw-r--r-- 1 root root   35980 Aug 11  2018 libmarkdown2_2.2.4-1_amd64.deb
-rw-r--r-- 1 root root  947680 Mar  5  2017 libosp5_1.5.2-13+b1_amd64.deb
-rw-r--r-- 1 root root 3437900 Jun  2  2019 libruby2.5_2.5.5-3_amd64.deb
-rw-r--r-- 1 root root 3437672 Dec 15 13:57 libruby2.5_2.5.5-3+deb10u1_amd64.deb
-rw-r--r-- 1 root root   26534 Oct  8  2016 libsgmls-perl_1.03ii-36_all.deb
-rw-r--r-- 1 root root 1004656 Feb 23  2019 libtcl8.6_8.6.9+dfsg-2_amd64.deb
-rw-r--r-- 1 root root   12788 Nov  1  2018 libtext-markdown-discount-perl_0.11-3+b1_amd64.deb
-rw-r--r-- 1 root root   80820 Nov  2  2018 libyaml-syck-perl_1.31-1+b1_amd64.deb
-rw-r--r-- 1 root root   32252 Mar 10  2018 libyaml-tiny-perl_1.73-1_all.deb
-rw-r----- 1 root root       0 May  7  2018 lock
-rw-r--r-- 1 root root  448930 Mar  5  2017 opensp_1.5.2-13+b1_amd64.deb
drwx------ 2 _apt root    4096 Jan  4 00:31 partial
-rw-r--r-- 1 root root    1356 May  5  2019 perlmagick_8%3a6.9.10.23+dfsg-2.1_all.deb
-rw-r--r-- 1 root root 1447768 Jan  5  2016 po4a_0.47-2_all.deb
-rw-r--r-- 1 root root 1542096 Dec  9  2018 po4a_0.55-1_all.deb
-rw-r--r-- 1 root root   51576 Jan 27  2019 powerline_2.7-2_amd64.deb
-rw-r--r-- 1 root root  125904 Jan 27  2019 python3-powerline_2.7-2_all.deb
-rw-r--r-- 1 root root   66944 May  2  2018 rake_12.3.1-3_all.deb
-rw-r--r-- 1 root root   11340 Mar 22  2018 ruby_1%3a2.5.1_amd64.deb
-rw-r--r-- 1 root root  399756 Jun  2  2019 ruby2.5_2.5.5-3_amd64.deb
-rw-r--r-- 1 root root  399964 Dec 15 13:57 ruby2.5_2.5.5-3+deb10u1_amd64.deb
-rw-r--r-- 1 root root   14368 Apr 11  2018 ruby-did-you-mean_1.2.1-1_all.deb
-rw-r--r-- 1 root root    4994 Dec 18  2016 rubygems-integration_1.11_all.deb
-rw-r--r-- 1 root root   54756 Aug 16  2018 ruby-minitest_5.11.3-1_all.deb
-rw-r--r-- 1 root root   12522 Mar  1  2016 ruby-net-telnet_0.1.1-2_all.deb
-rw-r--r-- 1 root root   10924 May 19  2018 ruby-power-assert_1.1.1-1_all.deb
-rw-r--r-- 1 root root   72392 Aug 17  2018 ruby-test-unit_3.2.8-1_all.deb
-rw-r--r-- 1 root root   23712 Jul 22  2018 ruby-xmlrpc_0.3.0-2_all.deb
-rw-r--r-- 1 root root   14818 Nov  7  2016 sgml-base_1.29_all.deb
-rw-r--r-- 1 root root   19940 Feb 25  2019 vim-addon-manager_0.5.10_all.deb
-rw-r--r-- 1 root root 1401344 Jun 15  2019 vim-nox_2%3a8.1.0875-5_amd64.deb
-rw-r--r-- 1 root root 5774604 Jun 15  2019 vim-runtime_2%3a8.1.0875-5_all.deb

Note: I did not first try rebooting to fix the problem. I instead only ran the apt install command, above.


Related issues

Related to Tails - Bug #17203: Automatic install of additional software fails because Tails has not yet connected to Tor Resolved

History

#1 Updated by cbrownstein about 2 months ago

  • Related to Bug #17203: Automatic install of additional software fails because Tails has not yet connected to Tor added

#2 Updated by goupille about 1 month ago

a few users reported something like that as well

#3 Updated by goupille about 1 month ago

running apt update manually hit the same issue for one of these user.

#4 Updated by goupille about 1 month ago

  • Status changed from New to Confirmed
  • Assignee set to intrigeri
  • Type of work changed from Code to Research

Also available in: Atom PDF